For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate an EOR contract
      • GETRetrieve EOR Contract Details
      • PATCHUpdate EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Contract

Update EOR Contract

PATCH
/eor/contract/:contract_id
PATCH
/rest/v2/eor/contract/:contract_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/eor/contract/cnt_12345678 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "salary": 100000,
> "job_title": "Software Engineer",
> "start_date": "2024-01-01",
> "employee_email": "john.doe@example.com",
> "employment_type": "Full-time",
> "employee_last_name": "Doe",
> "employment_country": "United States",
> "employee_first_name": "John"
> }
>}'
1{
2 "oid": "cnt_12345",
3 "status": "under_review"
4}

Applies partial updates to mutable fields of an EOR contract, such as salary, job title, or benefits. Only fields included in the request body are modified; fields required for validation must still be present. Token scopes: contracts:write

Was this page helpful?
Previous

Fetch EOR contract document

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Request

Contract update request object
dataobjectRequired

Response

Contract updated successfully
oidstring
The unique identifier of the employee contract.
statusenum
Current status of the contract
scope_of_workstring
Scope of work description.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication